package com.zd.airbottle.domain.vo;

import com.zd.airbottle.domain.QpBottleStorage;
import com.zd.airbottle.domain.QpTaskDetail;
import io.swagger.annotations.ApiModel;

import java.util.List;


/**
 * 气瓶入库对象 qp_bottle_storage
 *
 * @author zd
 * @date 2022-05-19
 */
@ApiModel("气瓶入库VO")
public class QpBottleStorageVO extends QpBottleStorage
{
    private static final long serialVersionUID = 1L;

    private List<QpTaskDetailVO> detailListVO;//清单详情VO
    private List<QpTaskDetail> detailList;//清单详情VO
    private QpTaskDetailVO qpTaskDetailVO;
    private String storageUser;//入库操作人
    private String storageUserPhone;//入库操作人电话
    private String room;//房间号
    private String location;//实验地点
    private Long   subjectId;//实验室id
    private String startTime;//开始时间按
    private String endTime;//结束时间按
    private String airName;//气体名称
    private String parent;//气体级别
    private String specValue;//气体规格
    private String companyName;//气瓶商家
    private Long companyId;//气瓶商家Id
    private String airConstituents;//气体组分
    private String campus;//校区
    private String building;//楼栋
    private String refusePhonen;//拒收人电话
    private String refuseName;//拒收人姓名
    private String configName;//配置名称
    private Boolean confirm;//是否处理
    private Long bottleNumber;//气瓶数量

    public QpTaskDetailVO getQpTaskDetailVO() {
        return qpTaskDetailVO;
    }

    public void setQpTaskDetailVO(QpTaskDetailVO qpTaskDetailVO) {
        this.qpTaskDetailVO = qpTaskDetailVO;
    }

    public List<QpTaskDetailVO> getDetailListVO() {
        return detailListVO;
    }

    public void setDetailListVO(List<QpTaskDetailVO> detailListVO) {
        this.detailListVO = detailListVO;
    }

    public String getStorageUser() {        return storageUser;    }

    public void setStorageUser(String storageUser) {        this.storageUser = storageUser;    }

    public String getStorageUserPhone() {        return storageUserPhone;    }

    public void setStorageUserPhone(String storageUserPhone) {        this.storageUserPhone = storageUserPhone;    }

    public String getRoom() {        return room;    }

    public void setRoom(String room) {        this.room = room;    }

    public String getLocation() {        return location;    }

    public void setLocation(String location) {        this.location = location;    }

    public String getStartTime() {        return startTime;    }

    public void setStartTime(String startTime) {        this.startTime = startTime;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }

    public String getAirName() {        return airName;    }

    public void setAirName(String airName) {        this.airName = airName;    }

    public String getParent() {        return parent;    }

    public void setParent(String parent) {        this.parent = parent;    }

    public String getSpecValue() {        return specValue;    }

    public void setSpecValue(String specValue) {        this.specValue = specValue;    }

    public String getCompanyName() {        return companyName;    }

    public void setCompanyName(String companyName) {        this.companyName = companyName;    }

    public String getAirConstituents() {        return airConstituents;    }

    public void setAirConstituents(String airConstituents) {        this.airConstituents = airConstituents;    }

    public String getCampus() {        return campus;    }

    public void setCampus(String campus) {        this.campus = campus;    }

    public String getBuilding() {        return building;    }

    public void setBuilding(String building) {        this.building = building;    }

    public String getRefusePhonen() {        return refusePhonen;    }

    public void setRefusePhonen(String refusePhonen) {        this.refusePhonen = refusePhonen;    }

    public List<QpTaskDetail> getDetailList() {        return detailList;    }

    public void setDetailList(List<QpTaskDetail> detailList) {        this.detailList = detailList;    }

    public String getRefuseName() {        return refuseName;    }

    public void setRefuseName(String refuseName) {        this.refuseName = refuseName;    }

    public Long getSubjectId() {        return subjectId;    }

    public void setSubjectId(Long subjectId) {        this.subjectId = subjectId;    }

    public Long getCompanyId() {        return companyId;    }

    public void setCompanyId(Long companyId) {        this.companyId = companyId;    }

    public String getConfigName() {        return configName;    }

    public void setConfigName(String configName) {        this.configName = configName;    }

    public Boolean getConfirm() {        return confirm;    }

    public void setConfirm(Boolean confirm) {        this.confirm = confirm;    }

    public Long getBottleNumber() {        return bottleNumber;    }

    public void setBottleNumber(Long bottleNumber) {        this.bottleNumber = bottleNumber;    }
}